#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	sed -i /setup.cfg/d wapiti.egg-info/SOURCES.txt


override_dh_installchangelogs:
	dh_installchangelogs doc/ChangeLog_Wapiti

override_dh_auto_build:
	cd wapitiCore/language_sources/ && ./generateTranslations.sh
	yui-compressor wapitiCore/report_template/css/kube.css -o wapitiCore/report_template/css/kube.min.css
	dh_auto_build

override_dh_install:
	dh_install
	find $(CURDIR)/debian/wapiti -type d -empty -delete
	find $(CURDIR)/debian/wapiti -type f -name "*.js" -exec chmod -x {} \;
	rm $(CURDIR)/debian/wapiti/usr/lib/python2.7/dist-packages/wapitiCore/language_sources/generateTranslations.sh
	rm $(CURDIR)/debian/wapiti/usr/lib/python2.7/dist-packages/wapitiCore/language_sources/generateSources.sh
	rm $(CURDIR)/debian/wapiti/usr/share/doc/wapiti/INSTALL
